For the complete documentation index, see llms.txt. This page is also available as Markdown.

ChatConversationEvents

Introduction

ChatConversationEvents record changes to a ChatConversation. Each event has a concrete type that defines the shape of its data field.

Model Definition

Relations

Key
Relation
Type
Relation Field(s)

user

Belongs to

user_id

chatConversation

Belongs to

chat_conversation_id

Types

Type

data shape

created

Empty object.

updated

old and new objects containing changed fields.

deleted

Empty object.

titleChanged

old and new title values.

lockedAtChanged

old and new datetime or null values.

departmentAdded

targetable_type is department; targetable_id is the integer Department ID.

departmentRemoved

targetable_type is department; targetable_id is the integer Department ID.

userAdded

targetable_type is user; targetable_id is the integer User ID.

userLeft

targetable_type is user; targetable_id is the integer User ID.

userRemoved

targetable_type is user; targetable_id is the integer User ID.

Changing a conversation title or locked_at creates an updated event in addition to the corresponding titleChanged or lockedAtChanged event.

List by conversation

List ChatConversationEvents for a ChatConversation.

Definition

GET /api/chat/conversations/{chatConversation}/events

Route Parameters

Parameter
Type
Description

chatConversation

integer | string

ChatConversation ID or hash.

Example Request

Example Response

Show

Show one ChatConversationEvent.

Definition

GET /api/chat/conversations/events/{chatConversationEvent}

Route Parameters

Parameter
Type
Description

chatConversationEvent

integer

ChatConversationEvent ID.

Example Request

Example Response

Last updated